[#--

    Copyright (c) 2011-present Sonatype, Inc. All rights reserved.
    Includes the third-party code listed at http://links.sonatype.com/products/clm/attributions.
    "Sonatype" is a trademark of Sonatype, Inc.

--]
[#-- @ftlvariable name="action" type="com.sonatype.clm.ci.bamboo.web.admin.ConfigureIqServer" --]
[#-- @ftlvariable name="" type="com.sonatype.clm.ci.bamboo.web.admin.ConfigureIqServer" --]
[#if clmConfiguration??]
${action.validateClmConfiguration()}
<html>
<head>
  [@ui.header pageKey="sonatype.clm.configuration" title=true /]
  <meta name="decorator" content="adminpage">
</head>
<body>
  [@ww.form action='configureIqServer' titleKey='sonatype.clm.configuration.heading'
  descriptionKey='sonatype.clm.configured.description' submitLabelKey='global.buttons.edit']
    [@ww.param name='buttons']
      [@cp.displayLinkButton buttonId="deleteButton" buttonLabel="global.buttons.delete"
      buttonUrl="${req.contextPath}/admin/iq/deleteIqServer.action" mutative=true
      cssClass="requireConfirmation" altTextKey="config.clm.delete.alt" /]
    [/@ww.param]

    [@ui.bambooSection titleKey='config.clm.server.title' descriptionKey='config.clm.server.description']
      [@ww.label labelKey='config.clm.server.url' value=serverUrl /]
      [#if pkiAuthentication]
        [@ww.label labelKey='config.clm.authentication.pki' value=pkiAuthentication /]
      [#else]
        [@ww.label labelKey='config.clm.username' value=username /]
      [/#if]
    [/@ui.bambooSection]
  [/@ww.form]
  [#if actionErrors?size == 0]
    [#assign apps = applications /]
    [#assign limit = 10 /]
    [@ui.messageBox type='success']
    <p class="title">${action.getText('clm.applications.description', [apps.size()])}</p>
      [#if apps.size() > limit]
      <p style="right: 10px; top: 0; position: absolute;">
        <button id="clm-more-apps-button" class="aui-button">${action.getText('clm.apps.more')}</button>
      </p>
      <script>
        AJS.toInit(function() {
          AJS.$("#clm-more-apps-button").click(function() {
            AJS.$("#visible-clm-apps .more").toggleClass("hidden");
            if (AJS.$("#visible-clm-apps .hidden").length > 0) {
              AJS.$("#clm-more-apps-button").text("${action.getText('clm.apps.more')}");
            }
            else {
              AJS.$("#clm-more-apps-button").text("${action.getText('clm.apps.less')}");
            }
          });
        });
      </script>
      [/#if]
    <ul id="visible-clm-apps">
        [#list apps as app]
          <li [#if app_index > (limit - 1)]class="more hidden"[/#if]>
          ${app.name?html} (${app.publicId?html})
          </li>
        [/#list]
    </ul>
    [/@ui.messageBox]
  [/#if]
</body>
</html>
[#else]
  [@ww.action name="configureIqServer!add" executeResult="true" /]
[/#if]
