[#--

    Copyright (c) 2011-present Sonatype, Inc. All rights reserved.
    Includes the third-party code listed at http://links.sonatype.com/products/clm/attributions.
    "Sonatype" is a trademark of Sonatype, Inc.

--]
[#-- @ftlvariable name="action" type="com.atlassian.bamboo.ww2.BambooActionSupport" --]
[#-- @ftlvariable name="clmBaseUrl" type="java.lang.String" --]
[#-- @ftlvariable name="scanResults" type="java.util.List" --]
[#-- @ftlvariable name="scanResult" type="com.sonatype.clm.ci.bamboo.web.panel.ClmScanResult" --]
[#if scanResults??]
  [#list scanResults as scanResult]
  <svg display="none" version="1.1" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink">
    <defs>
      <symbol id="icon-pass" viewBox="0 0 1024 1024">
        <title>PASS</title>
        <desc>A passing result</desc>
        <path class="path1" d="M859.583 160.092c-191.663-191.668-502.381-191.668-694.037 0-191.673 191.663-191.673 502.387 0 694.081 191.657 191.629 502.381 191.629 694.037 0 191.635-191.695 191.684-502.419 0-694.081zM795.408 386.424l-340.987 340.971c-5.087 5.099-13.492 5.099-18.617 0l-85.384-85.455c-5.147-5.147-13.563-13.481-18.655-18.617l-102.831-102.853c-5.153-5.081-5.153-13.459 0-18.623l85.455-85.46c5.141-5.115 13.508-5.115 18.612 0l102.831 102.873c5.147 5.076 13.508 5.076 18.633 0l236.201-236.147c5.055-5.125 13.492-5.159 18.683-0.081l85.977 84.872c5.196 5.067 5.196 13.389 0.081 18.52z"></path>
      </symbol>
      <symbol id="icon-warn" viewBox="0 0 1024 1024">
        <title>WARN</title>
        <desc>A result with an associated warning</desc>
        <path class="path1" d="M512 158.724l-344.835 737.276h689.668l-344.833-737.276zM512 0v0c22.071 0 44.14 14.883 60.884 44.648l437.072 871.112c33.489 59.532 5 108.24-63.303 108.24h-869.307c-68.305 0-96.791-48.708-63.305-108.24l437.075-871.112c16.744-29.765 38.813-44.648 60.884-44.648zM448 768c0 35.346 28.654 64 64 64s64-28.654 64-64c0-35.346-28.654-64-64-64s-64 28.654-64 64zM512 384c35.347 0 64 28.653 64 64l-20 192h-88l-20-192c0-35.347 28.653-64 64-64z"></path>
      </symbol>
      <symbol id="icon-fail" viewBox="0 0 1024 1024">
        <title>FAIL</title>
        <desc>A failing result</desc>
        <path class="path1" d="M736 0h-448l-288 288v448l288 288h448l288-288v-448l-288-288zM576 832h-128v-128h128v128zM576 576h-128v-384h128v384z"></path>
      </symbol>
    </defs>
  </svg>
  <table width="100%" class="clm-scan">
    <tr>
      <td width="50%" valign="top">
        <h3>${action.getText('clm.policy.results')}</h3>
        [#if scanResult.userDescription?has_content]
          <span>${action.getText('clm.task.description', [scanResult.userDescription?html])}</span><br/>
        [/#if]
        <span>
          <svg class="icon icon-${scanResult.result}">
            <use xlink:href="#icon-${scanResult.result}"></use>
          </svg>
          ${action.getText('clm.task.result.' + scanResult.result)}
        </span>
        <br/>
        <span class="clm-message">
          <a target="_blank" href="${scanResult.reportUrl}">${action.getText('clm.full.report')}</a>
        </span>
      </td>
      <td width="50%" valign="top" nowrap>
        [#if scanResult.affectedComponentCount &gt; 0]
          <table class="clm-report" width="100%">
            <tr>
              <td class="clm-level">
                <span class="clm-critical">&nbsp;</span>
              </td>
              <td class="clm-left">${action.getText('clm.critical')}</td>
              <td class="clm-right">${scanResult.criticalComponentCount}</td>
              <td class="clm-bar">
                <div class="clm-barchart"
                     style="width: ${scanResult.criticalComponentCount / scanResult.affectedComponentCount * 100.0}%">
                  <div class="clm-innerchart"></div>
                </div>
              </td>
            </tr>
            <tr>
              <td class="clm-level">
                <span class="clm-severe">&nbsp;</span>
              </td>
              <td class="clm-left">${action.getText('clm.severe')}</td>
              <td class="clm-right">${scanResult.severeComponentCount}</td>
              <td class="clm-bar">
                <div class="clm-barchart"
                     style="width: ${scanResult.severeComponentCount / scanResult.affectedComponentCount * 100.0}%">
                  <div class="clm-innerchart"></div>
                </div>
              </td>
            </tr>
            <tr>
              <td class="clm-level">
                <span class="clm-moderate">&nbsp;</span>
              </td>
              <td class="clm-left">${action.getText('clm.moderate')}</td>
              <td class="clm-right">${scanResult.moderateComponentCount}</td>
              <td class="clm-bar">
                <div class="clm-barchart"
                     style="width: ${scanResult.moderateComponentCount / scanResult.affectedComponentCount * 100.0}%">
                  <div class="clm-innerchart"></div>
                </div>
              </td>
            </tr>
            <tr>
              <td></td>
              <td class="clm-left">${action.getText('clm.grandfathered')}</td>
              <td class="clm-right">${scanResult.grandfatheredPolicyViolationCount}</td>
              <td></td>
            </tr>
            <tr>
              <td></td>
              <td class="clm-left">${action.getText('clm.total')}</td>
              <td class="clm-right">${scanResult.totalComponentCount}</td>
              <td></td>
            </tr>
          </table>
        [#else]
          <div class="clm-message">${action.getText('clm.no.violations')}</div>
          <div class="clm-message">${action.getText('clm.grandfathered')}&nbsp;${scanResult.grandfatheredPolicyViolationCount}</div>
        [/#if]
      </td>
    </tr>
  </table>
  [/#list]
[/#if]
