[#--

    Copyright (c) 2011-present Sonatype, Inc. All rights reserved.
    Includes the third-party code listed at http://links.sonatype.com/products/clm/attributions.
    "Sonatype" is a trademark of Sonatype, Inc.

--]
[#-- @ftlvariable name="configError" type="java.lang.String" --]
[#if configError??]
  [@ui.messageBox type='error']
  <p class="title">${configError}</p>
  [/@ui.messageBox]
[/#if]

[@ww.checkbox labelKey='clm.task.failOnClmFailures' name='failOnClmFailures' toggle='true' /]

[@ww.radio name='clmOrgIdType' listKey='value' listValue='value' i18nPrefixForValue='clm.org.id.type' showDescription=true list=clmFieldTypes toggle='true' /]
[#-- Make sure to keep the order of the clmOrgId field the same as the ClmFieldType --]
[@ui.bambooSection dependsOn='clmOrgIdType' showOn='selected']
  [@ww.select cssClass='builderSelectWidget long-field' labelKey='clm.task.org' descriptionKey='clm.task.org.description' name='clmOrgId' listKey='key' listValue='value' list=clmOrgs /]
[/@ui.bambooSection]
[@ui.bambooSection dependsOn='clmOrgIdType' showOn='specified']
  [@ww.textfield cssClass='long-field' labelKey='clm.task.org.id' descriptionKey='clm.task.org.id.description' name='clmOrgId' /]
[/@ui.bambooSection]
<script type="text/javascript">
  function showHideAppOptions() {
    let selOrgName = '';
    AJS.$('select[id="clmOrgId"] option:selected').each(function() {
      selOrgName = AJS.$(this).text();
    });

    if (selOrgName === '-----') { // show all
      AJS.$('select[id="clmAppId"] option').each(function() {
        AJS.$(this).show();
      });
    } else { // show only apps for selected org
      const searchStr = '(org: ' + selOrgName + ')';
      AJS.$('select[id="clmAppId"] option').each(function() {
        if (AJS.$(this).text().indexOf(searchStr) >= 0) {
          AJS.$(this).show();
        } else {
          AJS.$(this).hide();
        }
      });
    }
  }

  AJS.toInit(function() {
    AJS.$(document).ready(function() {
      AJS.$('select[id=clmOrgId]').on('change', function() {
        showHideAppOptions();
      });
      showHideAppOptions(); // initial show/hide app options
    });
  });
</script>

[@ww.radio name='clmAppIdType' listKey='value' listValue='value' i18nPrefixForValue='clm.app.id.type' showDescription=true list=clmFieldTypes toggle='true' /]
[#-- Make sure to keep the order of the clmAppId field the same as the ClmFieldType --]
[@ui.bambooSection dependsOn='clmAppIdType' showOn='selected']
  [@ww.select cssClass='builderSelectWidget long-field' labelKey='clm.task.app' descriptionKey='clm.task.app.description' name='clmAppId' listKey='key' listValue='value' list=clmApps /]
[/@ui.bambooSection]
[@ui.bambooSection dependsOn='clmAppIdType' showOn='specified']
  [@ww.textfield cssClass='long-field' labelKey='clm.task.app.id' descriptionKey='clm.task.app.id.description' name='clmAppId' /]
[/@ui.bambooSection]

[@ww.radio name='clmStageType' listKey='value' listValue='value' i18nPrefixForValue='clm.stage.type' showDescription=true list=clmFieldTypes toggle='true' /]
[#-- Make sure to keep the order of the clmStageType field the same as the ClmFieldType --]
[@ui.bambooSection dependsOn='clmStageType' showOn='selected']
    [@ww.select cssClass='builderSelectWidget long-field' labelKey='clm.task.stage' descriptionKey='clm.task.stage.description' name='clmStageTypeId' listKey='key' listValue='value' list=clmStages /]
[/@ui.bambooSection]
[@ui.bambooSection dependsOn='clmStageType' showOn='specified']
    [@ww.textfield cssClass='long-field' labelKey='clm.task.stage' descriptionKey='clm.task.stage.description' name='clmStageTypeId' /]
[/@ui.bambooSection]

[@ww.textfield cssClass='long-field' labelKey='clm.task.scan.targets' descriptionKey='clm.task.scan.targets.description' name='clmScanTargets' /]
[@ww.textfield cssClass='long-field' labelKey='clm.task.module.excludes' descriptionKey='clm.task.module.excludes.description' name='clmModuleExcludes' /]
[@ww.textarea cssClass='long-field' rows='5' labelKey='clm.task.scan.properties' descriptionKey='clm.task.scan.properties.description' name='clmScanProperties' /]
